Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17764

Description

Postgres 9.3 added support for materialized views. These are currently ignored by dbmanager and not shown in the tree alongside the

other tables/views.

Related issues:

Related to QGIS Application - Feature request # 8791: Support PostgreSQL mate... Closed 2013-10-07

Related to QGIS Application - Bug report # 9136: Browser does not show Postgr... Closed 2013-11-27

Associated revisions

Revision a4c365c7 - 2013-12-03 10:21 PM - Jürgen Fischer

dbmanager: include materialized views (implements #9127)

History

#1 - 2013-12-03 01:07 PM - Lee Hachadoorian

Materialized views don't appear in geometry_columns, but this is a fault of PostGIS. When PostGIS gets fixed, would this problem go away?

See http://gis.stackexchange.com/questions/74588/materialized-view-does-not-appear-in-geometry-columns-view

#2 - 2013-12-03 01:21 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#3 - 2013-12-03 01:22 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a4c365c7cf9f4bb0a5811712d3c514a267363975".

2024-04-09 1/1

http://gis.stackexchange.com/questions/74588/materialized-view-does-not-appear-in-geometry-columns-view

